Subject: Re: [PATCH 3/3] ASoC: fsl_ssi: remove register defaults

From: Timur Tabi <[email-masked]>
Date: Mon, 11 Jan 2016 19:23:54 -0600

Mark Brown wrote:
> regcache handles this fine, it's perfectly happy to just go and allocate
> the cache as registers get used (this is why the code that's doing the
> allocation exists...).  What is causing problems here is that the first
> access to the register is happening in interrupt context so we can't do
> a GFP_KERNEL allocation for it.

Considering how small and not-sparse the SSI register space is, would 
using REGCACHE_FLAT be appropriate?